import { GoldRushClient } from "@covalenthq/client-sdk";
const ApiServices = async () => {
const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
const resp = await client.BaseService.getLogEventsByAddress({chainName: "chainName", walletAddress: "walletAddress"});
console.log(resp.data);
};
ApiServices();curl --request GET \
--url https://api.covalenthq.com/v1/{chainName}/events/address/{contractAddress}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.covalenthq.com/v1/{chainName}/events/address/{contractAddress}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.covalenthq.com/v1/{chainName}/events/address/{contractAddress}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated_at": "2023-11-07T05:31:56Z",
"chain_id": 123,
"chain_name": "<string>",
"items": [
{
"block_signed_at": "2023-11-07T05:31:56Z",
"block_height": 123,
"tx_offset": 123,
"log_offset": 123,
"tx_hash": "<string>",
"raw_log_topics": [
"<string>"
],
"sender_contract_decimals": 123,
"sender_name": "<string>",
"sender_contract_ticker_symbol": "<string>",
"sender_address": "<string>",
"sender_logo_url": "<string>",
"supports_erc": [
"<string>"
],
"sender_factory_address": "<string>",
"raw_log_data": "<string>",
"decoded": {
"name": "<string>",
"signature": "<string>",
"params": [
{
"name": "<string>",
"type": "<string>",
"indexed": true,
"decoded": true,
"value": "<string>"
}
]
}
}
],
"pagination": {
"has_more": true,
"page_number": 123,
"page_size": 123,
"total_count": 123
}
}Get log events by contract address
Commonly used to get all the event logs emitted from a particular contract address. Useful for building dashboards that examine on-chain interactions.
import { GoldRushClient } from "@covalenthq/client-sdk";
const ApiServices = async () => {
const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
const resp = await client.BaseService.getLogEventsByAddress({chainName: "chainName", walletAddress: "walletAddress"});
console.log(resp.data);
};
ApiServices();Credit Cost
Processing
Authorizations
Bearer authentication header of the form: Bearer <token>, where <token> is your GoldRush API Key.
Path Parameters
The chain name eg: eth-mainnet.
The requested contract address. Passing in an ENS, RNS, Lens Handle, or an Unstoppable Domain resolves automatically.
Query Parameters
The first block to retrieve log events with. Accepts decimals, hexadecimals, or the strings earliest and latest.
The last block to retrieve log events with. Accepts decimals, hexadecimals, or the strings earliest and latest.
Number of items per page. Omitting this parameter defaults to 100.
0-indexed page number to begin pagination.
Response
Successful response
The timestamp when the response was generated. Useful to show data staleness to users.
The requested chain ID eg: 1.
The requested chain name eg: eth-mainnet.
List of response items.
Show child attributes
Show child attributes
Pagination metadata.
Show child attributes
Show child attributes